// RFM69.h 24.02.21, Harald Peters
#ifndef RFM69_h
#define RFM69_h

#define RFM69SET   PORTB |=  (1<<PB2)
#define RFM69RESET PORTB &= ~(1<<PB2)

uint8_t  FbTyp;
uint8_t  tccr0;

struct tcnt
{             
 uint8_t  tcntScan, tcntPause;
};

#define TBMAX 10
struct tFBlock
{
 uint8_t  BitFeld[256]; 
 uint8_t  BitZ,Fehl,Bit2Start,x;
 uint8_t  TelBytes[2][TBMAX]; 
} FBlock;

void OOKFlanke(void);
void FAnalyse(void);

uint8_t  RFM69Stat,RFM69Vers;

uint8_t  RFM69Spi(uint8_t Adr, uint8_t Inh); // 

uint8_t  RFM69RdReg(uint8_t Adr);
void     RFM69WrReg(uint8_t Adr, uint8_t Inh); 
uint16_t RFM69RdRegPaar(uint8_t Reg); 
void     RFM69WrRegPaar(uint8_t Reg, uint16_t Inh); 

uint8_t RFM69InitOOK(void); // 
uint16_t RFM69BitRate(uint16_t BRate); // in Hz
uint32_t RFM69Freq(uint32_t Freq); // 43392 -> 433.92MHz
void StartStoppFunk(uint8_t Art);

#endif

